#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m;
    scanf("%d %d",&n,&m);
    int i,j;
    int ai[n];
    int bi[n];
    int cj[m];
    int dj[m];
    int krompiri[n][m];
    int zbir;
    int k=0;


    for(i=0;i<n;i++)
    {
        scanf("%d %d",&ai[i],bi[i]);
    }
    for(j=0;j<m;j++)
    {
        scanf("%d %d",&cj[j],dj[j]);
    }

    //za N=1
    if(n==1)
    {

        for(j=0;j<m;j++)
        {
            krompiri[0][j]=dj[j];
        }
        zbir=0;
        for(j=0;j<m;j++)
        {
            zbir+=krompiri[0][j];
        }

        do
        {
            do
            {
                krompiri[0][k]--;
                zbir=0;
                for(j=0;j<m;j++)
                {
                zbir+=krompiri[0][j];
                }

            }while(krompiri[0][k]>=cj[k] || zbir>bi[1]);
            zbir=0;
            for(j=0;j<m;j++)
            {
                zbir+=krompiri[0][j];
            }
            k++;
        }while(zbir>bi[0] || k<m);
    }
    else
    {
        printf("e onda...");
    }

    printf("%d/n",zbir);

    k=0;
    for(j=0;j<m;j++)
        {
            if(krompiri[0][j]>0)
            {
                k++;
            }
        }
    printf("%d/n",k);
    for(j=0;j>m;j++)
    {
        if(krompiri[0][j]>0)
        {
            printf("1 %d %d",j,krompiri[0][j]);
        }
    }



}